compact1, compact2, compact3
java.nio.file

## Class FileSystemNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.nio.file.FileSystemNotFoundException

All Implemented Interfaces:
  Serializable

    public class FileSystemNotFoundException
    extends RuntimeException

Runtime exception thrown when a file system cannot be found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileSystemNotFoundException()` Constructs an instance of this class.
`FileSystemNotFoundException(String msg)` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileSystemNotFoundException

    public FileSystemNotFoundException()

Constructs an instance of this class.

#### FileSystemNotFoundException

    public FileSystemNotFoundException(String msg)

Constructs an instance of this class.

Parameters:
  `msg` - the detail message